<div class="card">
    <div class="card-body">
        <!-- title -->
        <h3 class="font-medium col-6">Mis pacientes</h3>
        <!-- title -->
        <div class="table-responsive ">
            <table class="table align-middle">
                <thead>
                    <tr>
                        <th class="text-dark font-medium fs-4"></th>
                        <th class="text-dark font-medium fs-4">Paciente</th>
                         <th class="text-dark font-medium fs-4">Contacto</th>
                    </tr>
                </thead>
                <tbody *ngFor="let paciente of pacientes">
                    <tr>
                        <td>
                            <div class="d-flex align-items-center">
                                <a routerLink="/pacientes/ver-paciente/{{paciente.id}}" class="sinFoto">

                                <span  *ngFor="let foto of fotos">
                                        <span *ngIf="foto.nombre==paciente.id;">
 
                                    <img
                                        src='{{foto.ruta}}' alt="{{paciente.nombre}} {{paciente.apellido}}" 
                                        class="rounded-circle imgagenPerfil">
                                    </span>
                                </span>
                                    

                              


                                    </a>
                              
                                        <!--
                                        
                                        <form class="text-center" method="post" [formGroup]="imagenesForm"
                                          novalidate>

                                          <div class="image-upload">
                                            <label for="file-input">
                                                <img src="assets/img/actualizar.png" alt ="Click aquí para subir tu foto" title ="Click aquí para subir tu foto" > 
                                            </label>
                                            <input type="file" accept="image/x-png,image/jpeg"   id="file-input" class="form-control-file" formControlName="imgFile" 
                                            class="form-control-file" (change)="enviar($event,paciente.id)">
    
                                         </div>
                                     
                                     </form>-->   
                                    </div>
                                    </td>
                               <td>   
 
                                <div class="">
                                     <a routerLink="/pacientes/ver-paciente/{{paciente.id}}">
                                    <h5 class="mb-0 font-medium">{{paciente.nombre}} {{paciente.apellido}}</h5>
                                </a><!--  <br>{{paciente.dni}}-->
                                </div>
                           </td>

                          
                         <td >
                            <!--  if contacto.idPaciente==paciente.id  -->
                            <span *ngFor="let contacto of listaContacto"> 
                                 <span *ngIf="contacto.idPaciente === paciente.id">
                              <a href="tel:{{contacto.telefono}}">{{contacto.telefono}} </a>
                            <br>
                            </span>
                            </span>

                            <span *ngFor="let contacto of listaContacto"> 
                            <span *ngIf="contacto.idPaciente === paciente.id">

                            <a (click)="enviarSOSCuidador(paciente.id)"
                             class="btn btn-primary sos mismaposicion">S.O.S.</a>
                                   
                           </span>
                           </span>


                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

</div>

<a routerLink="/pacientes/agregar-paciente" class="btn btn-primary">Agregar nuevo paciente</a>